Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class Table.TableMetadata

    java.lang.Object
      org.apache.cassandra.db.Table.TableMetadata

Enclosing class:
  Table

    public static class Table.TableMetadata

extends java.lang.Object

Constructor Summary
`Table.TableMetadata()`

Method Summary
`void` | `add(java.lang.String cf, int id)`
`void` | `add(java.lang.String cf, int id, java.lang.String type)`
`static int` | `getColumnFamilyCount()`
`static java.lang.String` | `getColumnFamilyIDString()`
`static java.lang.String` | `getColumnFamilyName(int id)`
`static Table.TableMetadata` | `instance(java.lang.String tableName)`
`boolean` | `isEmpty()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Table.TableMetadata

    public Table.TableMetadata()

Method Detail

### instance

    public static Table.TableMetadata instance(java.lang.String tableName)
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### add

    public void add(java.lang.String cf,
                    int id)

### add

    public void add(java.lang.String cf,
                    int id,
                    java.lang.String type)

### isEmpty

    public boolean isEmpty()

### getColumnFamilyName

    public static java.lang.String getColumnFamilyName(int id)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getColumnFamilyCount

    public static int getColumnFamilyCount()

### getColumnFamilyIDString

    public static java.lang.String getColumnFamilyIDString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation